org.apache.ignite.internal.visor.node

## Class VisorSegmentationConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorSegmentationConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorSegmentationConfiguration
    extends VisorDataTransferObject

Data transfer object for node segmentation configuration properties.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2, V3`

### Constructor Summary

Constructors
Constructor and Description
`VisorSegmentationConfiguration()` Default constructor.
`VisorSegmentationConfiguration(IgniteConfiguration c)` Create data transfer object for node segmentation configuration properties.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getCheckFrequency()`
`SegmentationPolicy` `getPolicy()`
`String` `getResolvers()`
`int` `getSegmentationResolveAttempts()`
`boolean` `isAllSegmentationResolversPassRequired()`
`boolean` `isWaitOnStart()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorSegmentationConfiguration

    public VisorSegmentationConfiguration()

Default constructor.

#### VisorSegmentationConfiguration

    public VisorSegmentationConfiguration(IgniteConfiguration c)

Create data transfer object for node segmentation configuration properties.

Parameters:
  `c` - Grid configuration.

### Method Detail

#### getPolicy

    public SegmentationPolicy getPolicy()

Returns:
  Segmentation policy.

#### getResolvers

    @Nullable
    public String getResolvers()

Returns:
  Segmentation resolvers.

#### getCheckFrequency

    public long getCheckFrequency()

Returns:
  Frequency of network segment check by discovery manager.

#### isWaitOnStart

    public boolean isWaitOnStart()

Returns:
  Whether or not node should wait for correct segment on start.

#### isAllSegmentationResolversPassRequired

    public boolean isAllSegmentationResolversPassRequired()

Returns:
  Whether or not all resolvers should succeed for node to be in correct segment.

#### getSegmentationResolveAttempts

    public int getSegmentationResolveAttempts()

Returns:
  Segmentation resolve attempts.

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                                    ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018